// creator  : weidu.exe (version 23100)
// argument : BGARRI.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BGARRI~

IF ~InteractingWith("Skie")
~ THEN BEGIN 0 // from:
  SAY #14440 /* ~Me son just became a squire at the Order o' the Radiant Heart!  I'm so proud o' him!~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 3
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")
RandomNum(3,1)
~ THEN BEGIN 1 // from:
  SAY #14441 /* ~As foretold by Alaundo there came the Time of Troubles, when gods walked the soil beside mortals. Some of them knew they would not survive, and took drastic measures, as gods often do.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 4
END

IF ~~ THEN BEGIN 2 // from: BELDOT:11.0
  SAY #14442 /* ~That Lehtinan is a bad sort, he is.  I hears he hires assassins at his bar, he does.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 3 // from: BELDOT:10.0 BELDOT:4.0
  SAY #14443 /* ~That Lehtinan is a bad sort, aye?  He be harboring wizards in his tavern, methinks.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~InteractingWith("Skie")
InParty("Minsc")
See("Minsc")
~ THEN BEGIN 4 // from:
  SAY #14444 /* ~That Lehtinan is a bad sort.  Me husband says he gots all sort of things goin' on in back of the Copper Coronet.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 6
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")
RandomNum(3,2)
~ THEN BEGIN 5 // from:
  SAY #14552 /* ~No, my lady, I am pretty sure you do not.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 5
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")
RandomNum(3,3)
~ THEN BEGIN 6 // from:
  SAY #14553 /* ~You push the lever and the room begins to hum.  The magic barrier around the demon disappears.  The fiend snarls and gnashes his teeth.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 7
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")
~ THEN BEGIN 7 // from:
  SAY #14554 /* ~Oh, me stars, ye aren't a true knight, is ye?~ */
  IF ~~ THEN DO ~~ EXTERN ~BSKIE~ 8
END
